/*https://test.mideasvn.com:8000/popup/poptemp/image
https://file.mideasvn.com/10min/popup/image
*/
.hana-mobile-messenger-active {
    overflow: hidden;
    height: 100%;
    width: 100%;
    position: fixed
}
.hana-conversation-body,
.hana-conversations-body,
.hana-messenger,
.hana-scrollable {
    -webkit-overflow-scrolling: touch
}


#hana-container a,
#hana-container abbr,
#hana-container acronym,
#hana-container address,
#hana-container applet,
#hana-container article,
#hana-container aside,
#hana-container audio,
#hana-container b,
#hana-container big,
#hana-container blockquote,
#hana-container button,
#hana-container canvas,
#hana-container caption,
#hana-container center,
#hana-container cite,
#hana-container code,
#hana-container dd,
#hana-container del,
#hana-container details,
#hana-container dfn,
#hana-container div,
#hana-container div.form,
#hana-container dl,
#hana-container dt,
#hana-container em,
#hana-container fieldset,
#hana-container figcaption,
#hana-container figure,
#hana-container footer,
#hana-container form,
#hana-container h1,
#hana-container h2,
#hana-container h3,
#hana-container h4,
#hana-container h5,
#hana-container h6,
#hana-container header,
#hana-container hgroup,
#hana-container i,
#hana-container iframe,
#hana-container img,
#hana-container input,
#hana-container input[type],
#hana-container ins,
#hana-container kbd,
#hana-container label,
#hana-container legend,
#hana-container li,
#hana-container mark,
#hana-container menu,
#hana-container nav,
#hana-container object,
#hana-container ol,
#hana-container p,
#hana-container pre,
#hana-container q,
#hana-container s,
#hana-container samp,
#hana-container section,
#hana-container small,
#hana-container span,
#hana-container strike,
#hana-container strong,
#hana-container sub,
#hana-container summary,
#hana-container sup,
#hana-container table,
#hana-container tbody,
#hana-container td,
#hana-container textarea,
#hana-container tfoot,
#hana-container th,
#hana-container thead,
#hana-container time,
#hana-container tr,
#hana-container tt,
#hana-container u,
#hana-container ul,
#hana-container var,
#hana-container video {
    font-family: "Times New Roman",Tohama,sans-serif;
    font-size-adjust: none;
    font-size: 100%;
    font-style: normal;
    letter-spacing: normal;
    font-stretch: normal;
    font-variant: normal;
    font-weight: 400;
    font: normal normal 100% "Times New Roman", Arial, sans-serif;
    text-align: left;
    text-align-last: auto;
    text-decoration: none;
    -webkit-text-emphasis: none;
    text-emphasis: none;
    text-height: auto;
    text-indent: 0;
    text-justify: auto;
    text-outline: none;
    text-shadow: none;
    text-transform: none;
    text-wrap: normal;
    alignment-adjust: auto;
    alignment-baseline: baseline;
    -webkit-animation: none 0 ease 0 1 normal;
    animation: none 0 ease 0 1 normal;
    -webkit-animation-play-state: running;
    animation-play-state: running;
    -webkit-appearance: normal;
    -moz-appearance: normal;
    appearance: normal;
    azimuth: center;
    -webkit-backface-visibility: visible;
    backface-visibility: visible;
    background: none 0 0 auto repeat scroll padding-box transparent;
    background-color: transparent;
    background-image: none;
    baseline-shift: baseline;
    binding: none;
    bleed: 6pt;
    bookmark-label: content();
    bookmark-level: none;
    bookmark-state: open;
    bookmark-target: none;
    border: 0 none transparent;
    border-radius: 0;
    bottom: auto;
    box-align: stretch;
    -webkit-box-decoration-break: slice;
    box-decoration-break: slice;
    box-direction: normal;
    box-flex: 0.0;
    box-flex-group: 1;
    box-lines: single;
    box-ordinal-group: 1;
    box-orient: inline-axis;
    box-pack: start;
    -webkit-box-shadow: none;
    box-shadow: none;
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
    -webkit-column-break-after: auto;
    break-after: auto;
    -webkit-column-break-before: auto;
    break-before: auto;
    -webkit-column-break-inside: auto;
    break-inside: auto;
    caption-side: top;
    clear: none;
    clip: auto;
    color: inherit;
    color-profile: auto;
    -webkit-column-count: auto;
    column-count: auto;
    -webkit-column-fill: balance;
    column-fill: balance;
    -webkit-column-gap: normal;
    column-gap: normal;
    -webkit-column-rule: medium medium #1f1f1f;
    column-rule: medium medium #1f1f1f;
    -webkit-column-span: 1;
    column-span: 1;
    -webkit-column-width: auto;
    column-width: auto;
    -webkit-columns: auto auto;
    columns: auto auto;
    content: normal;
    counter-increment: none;
    counter-reset: none;
    crop: auto;
    cursor: auto;
    direction: ltr;
    display: inline;
    dominant-baseline: auto;
    drop-initial-after-adjust: text-after-edge;
    drop-initial-after-align: baseline;
    drop-initial-before-adjust: text-before-edge;
    drop-initial-before-align: caps-height;
    drop-initial-size: auto;
    drop-initial-value: initial;
    elevation: level;
    empty-cells: show;
    fit: fill;
    fit-position: 0 0;
    float: none;
    float-offset: 0 0;
    grid-columns: none;
    grid-rows: none;
    hanging-punctuation: none;
    height: auto;
    hyphenate-after: auto;
    hyphenate-before: auto;
    hyphenate-character: auto;
    hyphenate-lines: no-limit;
    hyphenate-resource: none;
    -webkit-hyphens: manual;
    -ms-hyphens: manual;
    hyphens: manual;
    icon: auto;
    image-orientation: auto;
    image-rendering: auto;
    image-resolution: normal;
    inline-box-align: last;
    left: auto;
    line-height: inherit;
    line-stacking: inline-line-height exclude-ruby consider-shifts;
    list-style: disc outside none;
    margin: 0;
    marks: none;
    marquee-direction: forward;
    marquee-loop: 1;
    marquee-play-count: 1;
    marquee-speed: normal;
    marquee-style: scroll;
    max-height: none;
    max-width: none;
    min-height: 0;
    min-width: 0;
    move-to: normal;
    nav-down: auto;
    nav-index: auto;
    nav-left: auto;
    nav-right: auto;
    nav-up: auto;
    opacity: 1;
    orphans: 2;
    outline: medium none invert;
    outline-offset: 0;
    overflow: visible;
    overflow-style: auto;
    padding: 0;
    page: auto;
    page-break-after: auto;
    page-break-before: auto;
    page-break-inside: auto;
    page-policy: start;
    -webkit-perspective: none;
    perspective: none;
    -webkit-perspective-origin: 50% 50%;
    perspective-origin: 50% 50%;
    pointer-events: auto;
    position: static;
    presentation-level: 0;
    punctuation-trim: none;
    quotes: none;
    rendering-intent: auto;
    resize: none;
    right: auto;
    rotation: 0;
    rotation-point: 50% 50%;
    ruby-align: auto;
    ruby-overhang: none;
    ruby-position: before;
    ruby-span: none;
    size: auto;
    string-set: none;
    table-layout: auto;
    top: auto;
    -webkit-transform: none;
    -ms-transform: none;
    transform: none;
    -webkit-transform-origin: 50% 50% 0;
    -ms-transform-origin: 50% 50% 0;
    transform-origin: 50% 50% 0;
    -webkit-transform-style: flat;
    transform-style: flat;
    -webkit-transition: all 0 ease 0;
    transition: all 0 ease 0;
    unicode-bidi: normal;
    vertical-align: baseline;
    white-space: normal;
    white-space-collapse: collapse;
    widows: 2;
    width: auto;
    word-break: normal;
    word-spacing: normal;
    word-wrap: normal;
    z-index: auto;
    text-align: start;
    -ms-filter: "progid:DXImageTransform.Microsoft.gradient(enabled=false)";
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale
} 
#hana-container address,
#hana-container article,
#hana-container aside,
#hana-container blockquote,
#hana-container canvas,
#hana-container center,
#hana-container dd,
#hana-container details,
#hana-container dir,
#hana-container div,
#hana-container div.form,
#hana-container dl,
#hana-container dt,
#hana-container fieldset,
#hana-container figcaption,
#hana-container figure,
#hana-container footer,
#hana-container form,
#hana-container frame,
#hana-container frameset,
#hana-container h1,
#hana-container h2,
#hana-container h3,
#hana-container h4,
#hana-container h5,
#hana-container h6,
#hana-container header,
#hana-container hgroup,
#hana-container hr,
#hana-container menu,
#hana-container nav,
#hana-container noframes,
#hana-container ol,
#hana-container p,
#hana-container pre,
#hana-container section,
#hana-container summary,
#hana-container ul {
    display: block
}
#hana-container li {
    display: list-item
}
#hana-container table {
    display: table
}
#hana-container tr {
    display: table-row
}
#hana-container thead {
    display: table-header-group
}
#hana-container tbody {
    display: table-row-group
}
#hana-container tfoot {
    display: table-footer-group
}
#hana-container col {
    display: table-column
}
#hana-container colgroup {
    display: table-column-group
}
#hana-container td,
#hana-container th {
    display: table-cell
}
#hana-container caption {
    display: table-caption
}
#hana-container input,
#hana-container select {
    display: inline-block
}
#hana-container b,
#hana-container strong {
    font-weight: 700
}
#hana-container em,
#hana-container i {
    font-style: italic
}
#hana-container b>em,
#hana-container b>i,
#hana-container em>b,
#hana-container em>strong,
#hana-container i>b,
#hana-container i>strong,
#hana-container strong>em,
#hana-container strong>i {
    font-weight: 700;
    font-style: italic
}
#hana-container input,
#hana-container textarea {
    cursor: text
}
#hana-container input::-moz-selection,
#hana-container textarea::-moz-selection {
    background-color: #b3d4fc
}
#hana-container input::selection,
#hana-container textarea::selection {
    background-color: #b3d4fc
}
#hana-container input::-webkit-input-placeholder,
#hana-container textarea::-webkit-input-placeholder {
    font-family: "Times New Roman", Arial, sans-serif;
    font-size-adjust: none;
    font-size: 100%;
    font-style: normal;
    letter-spacing: normal;
    font-stretch: normal;
    font-variant: normal;
    font-weight: 400;
    font: normal normal 100% "Times New Roman", Arial, sans-serif;
    text-align: left;
    text-align-last: auto;
    text-decoration: none;
    -webkit-text-emphasis: none;
    text-emphasis: none;
    text-height: auto;
    text-indent: 0;
    text-justify: auto;
    text-outline: none;
    text-shadow: none;
    text-transform: none;
    text-wrap: normal;
    background-color: inherit;
    color: inherit
}
#hana-container input::-moz-placeholder,
#hana-container textarea::-moz-placeholder {
    font-family: "Times New Roman", Arial, sans-serif;
    font-size-adjust: none;
    font-size: 100%;
    font-style: normal;
    letter-spacing: normal;
    font-stretch: normal;
    font-variant: normal;
    font-weight: 400;
    font: normal normal 100% "Times New Roman", Arial, sans-serif;
    text-align: left;
    text-align-last: auto;
    text-decoration: none;
    text-emphasis: none;
    text-height: auto;
    text-indent: 0;
    text-justify: auto;
    text-outline: none;
    text-shadow: none;
    text-transform: none;
    text-wrap: normal;
    background-color: inherit;
    color: inherit
}
#hana-container input:-ms-input-placeholder,
#hana-container textarea:-ms-input-placeholder {
    font-family: "Times New Roman", Arial, sans-serif;
    font-size-adjust: none;
    font-size: 100%;
    font-style: normal;
    letter-spacing: normal;
    font-stretch: normal;
    font-variant: normal;
    font-weight: 400;
    font: normal normal 100% "Times New Roman", Arial, sans-serif;
    text-align: left;
    text-align-last: auto;
    text-decoration: none;
    text-emphasis: none;
    text-height: auto;
    text-indent: 0;
    text-justify: auto;
    text-outline: none;
    text-shadow: none;
    text-transform: none;
    text-wrap: normal;
    background-color: inherit;
    color: inherit
}
#hana-container input[type=checkbox],
#hana-container input[type=radio] {
    cursor: default
}
#hana-container a,
#hana-container a *,
#hana-container a span,
#hana-container button,
#hana-container button *,
#hana-container button span,
#hana-container input[type=reset],
#hana-container input[type=submit] {
    cursor: pointer
}
#hana-container:focus {
    outline: none
}
#hana-container a:active,
#hana-container a:hover,
#hana-container a:link,
#hana-container a:visited {
    color: inherit;
    background: transparent;
    text-shadow: none
}
#hana-container button::-moz-focus-inner {
    border: 0;
    padding: 0
}
#hana-container-body {
    overflow: hidden
}
body>.hana-container {
    position: fixed
}
@media print {
    #hana-container {
        display: none
    }
}
#hana-container {
    line-height: 1
}
#hana-container .hana-scrollable {
    position: relative;
    max-height: 100%;
    overflow-y: auto;
    overflow-x: hidden
}
@-webkit-keyframes hana-spin {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg)
    }
    to {
        -webkit-transform: rotate(1turn);
        transform: rotate(1turn)
    }
}
@keyframes hana-spin {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg)
    }
    to {
        -webkit-transform: rotate(1turn);
        transform: rotate(1turn)
    }
}

#hana-container .hana-app-hidden {
    opacity: 0;
    pointer-events: none
}
#hana-container .hana-avatar {
    margin: 0 auto;
    border-radius: 50%;
    display: inline-block;
    vertical-align: middle
}
#hana-container .hana-avatar img {
    border-radius: 50%
}

#hana-container .hana-active-state,
#hana-container .hana-away-state {
    width: 8px;
    height: 8px;
    background-color: #7ed321;
    border: 2px solid #1F8CEB;
    margin: 0 auto;
    border-radius: 50%;
    display: inline-block;
    vertical-align: bottom;
    right: 3px;
    bottom: 3px;
    position: absolute
}

#hana-container .hana-booting {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0
}
#hana-container .hana-booting-header {
    z-index: 2147483001;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    height: 75px;
    background-color: #1F8CEB;
    -webkit-box-shadow: 0 1px 4px rgba(0, 0, 0, .2);
    box-shadow: 0 1px 4px rgba(0, 0, 0, .2)
}
#hana-container .hana-booting-body {
    position: absolute;
    top: 75px;
    bottom: 0;
    left: 0;
    right: 0
}
#hana-container .hana-booting-spinner {
    position: absolute;
    left: 50%;
    top: 50%;
    margin-left: -14px;
    margin-top: -14px
}
#hana-container .hana-booting-error {
    position: absolute;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    width: 100%
}
#hana-container .hana-booting-error-header {
    font-size: 18px;
    text-align: center;
    padding-bottom: 6px
}
#hana-container .hana-booting-error-message {
    font-size: 16px;
    text-align: center;
    color: #8f919d
}
#hana-container .hana-booting-retry-button-container {
    text-align: center
}
#hana-container .hana-booting-retry-button {
    font-size: 16px;
    background-color: #1F8CEB;
    color: #fff;
    margin-top: 20px;
    padding: 10px 30px;
    border-radius: 4px
}
#hana-container .hana-messenger {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0
}
#hana-container .hana-messenger-background {
    position: absolute;
    top: 75px;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #fff
}

#hana-container .hana-align-center {
    text-align: center
}

#hana-container .hana-composer-placeholder {
    display: inline-block
}

#hana-container .hana-borderless .hana-typing-admin .hana-typing-admin-bubble:after,
#hana-container .hana-chat-card.hana-chat-card-with-avatar:after,
#hana-container .hana-chat-snippet-card:after,
#hana-container .hana-comment-container-borderless-with-avatar .hana-comment:after {
    content: "";
    position: absolute;
    bottom: 0;
    right: 99%;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 0 0 13px 5px;
    border-color: transparent transparent #fff
}

#hana-container .hana-conversation {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    overflow: hidden
}
#hana-container .hana-conversation-profile-close-button-visible .hana-agent-profile,
#hana-container .hana-conversation-profile-close-button-visible .hana-team-profile-compact {
    right: 75px
}


#hana-container .hana-conversation-footer {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    border-radius: 0 0 6px 6px
}
#hana-container .hana-chat-container {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0
}
#hana-container .hana-conversation-body {
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0
}
#hana-container .hana-conversation-body-snapped {
    -webkit-transition: -webkit-transform .15s ease-out;
    transition: -webkit-transform .15s ease-out;
    transition: transform .15s ease-out;
    transition: transform .15s ease-out, -webkit-transform .15s ease-out
}
#hana-container .hana-chat-profile {
    background-color: #1F8CEB;
    position: absolute;
	height: 75px;
    width: 100%;
    -webkit-box-shadow: 0 1px 4px rgba(0, 0, 0, .2);
    box-shadow: 0 1px 4px rgba(0, 0, 0, .2);
    z-index: 2147483001
}
#hana-container .hana-chat-body-wrapper {
    overflow: hidden
}
#hana-container .hana-chat-body {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    overflow-y: scroll
}
#hana-container .hana-conversation-body-spinner {
    position: absolute;
    left: 50%;
    top: calc(50% + 20px);
    margin-left: -14px;
    margin-top: -14px
}
#hana-container .hana-conversation-background {
    position: absolute;
    top: 75px;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #fff;
    opacity: .8
}
#hana-container .hana-conversation-background-1 {
    background-image: url(https://file.mideasvn.com/10min/popup/image/bg1.png);
    background-size: 417px 417px;
    background-repeat: repeat
}

#hana-container .hana-conversation-part {
    padding-bottom: 10px
}
#hana-container .hana-conversation-part:after,
#hana-container .hana-conversation-part:before {
    content: " ";
    display: table
}
#hana-container .hana-conversation-part:after {
    clear: both
}
#hana-container .hana-conversation-part-failed * {
    cursor: pointer
}
#hana-container .hana-conversation-part-grouped,
#hana-container .hana-conversation-part-last {
    padding-bottom: 3px
}
#hana-container .hana-conversation-part-last,
#hana-container .hana-conversation-part-last-spaced {
    padding-bottom: 30px
}
#hana-container .hana-conversation-part-metadata {
    clear: both;
    color: #b8c3ca;
    font-size: 13px;
    padding-top: 7px;
    width: 75%
}
#hana-container .hana-conversation-part-metadata-attribution {
    display: inline
}
#hana-container .hana-conversation-part-metadata-save-state {
    white-space: nowrap
}
#hana-container .hana-conversation-part-admin .hana-conversation-part-metadata {
    padding-left: 45px
}
#hana-container .hana-conversation-part-user .hana-conversation-part-metadata,
#hana-container .hana-conversation-part-user .hana-conversation-part-metadata-save-state {
    float: right
}
#hana-container .hana-conversation-part-other-user .hana-conversation-part-metadata {
    padding-left: 45px
}

#hana-container .hana-conversation-parts {
    padding: 25px 25px 22px;
}
#hana-container .hana-conversation-parts-date-divider {
    text-align: center;
    color: #b8c3ca;
    font-size: 13px;
    clear: both;
    padding-top: 14px;
    padding-bottom: 14px
}
#hana-container .hana-conversation-parts-date-divider:first-child {
    padding-top: 0
}
#hana-container .hana-borderless .hana-conversation-part-last,
#hana-container .hana-borderless .hana-conversation-parts {
    padding: 0
}
#hana-container .hana-borderless .hana-conversation-parts-faded {
    opacity: .2
}

#hana-container .hana-link-container {
    position: absolute;
    padding-bottom: 9px;
    text-align: center;
    width: 100%
}

#hana-container a.hana-link:hover {
    opacity: 1
}

#hana-container .fb-send-to-messenger {
    max-height: 57px
}
#hana-container .test-toggle {
    position: absolute;
    bottom: -60px
}

#hana-container .hana-head-name {
    padding: 2px;
    height: 50px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    border-radius: 8px
}
#hana-container .hana-agent-profile,
#hana-container .hana-agent-profile * {
    cursor: pointer
}

#hana-container .hana-agent-profile {
    position: absolute;
    height: 75px;
    bottom: 0;
    left: 0px;
    right: 0px;
    padding-top: 2px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    overflow: hidden
}
#hana-container .hana-head-avatar {
    vertical-align: middle;
    white-space: nowrap;
    overflow: hidden;
    display: inline-block;
    float: left;
    padding-right: 0;
    position: relative
}
#hana-container .hana-head-avatar .hana-avatar {
    width: 70px;
    height: 70px;
    line-height: 32px;
    font-size: 16px
}
#hana-container .hana-head-avatar .hana-avatar img {
    width: 70px;
    height: 70px
}
#hana-container .hana-agent-profile-body {
    display: inline-block;
    vertical-align: middle;
    padding-left: 10px;
	max-width: 230px;
	position: relative;
	top: 10px;
}
#hana-container .hana-head-agent-name {
    color: #fff;
    font-size: 18px;
    line-height: 1.2em;
    white-space: nowrap;
    overflow: hidden;
}
#hana-container .hana-head-agent-name-and-participants {
    line-height: 33px
}
#hana-container .hana-head-desc {
    color: hsla(0, 0%, 100%, .8);
    font-size: 13px;
    line-height: 1.1em;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis
}

#hana-container .hana-composer {
    position: absolute;
    bottom: 30px;
    left: 0;
    right: 0;
    min-height: 55px;
    max-height: 200px;
    /*box-shadow: 0 1px #FFFFFF inset, 0 1px 3px rgba(34, 25, 25, 0.4);*/
}
#hana-container .hana-composer-power {
    position: absolute;
    bottom: 0px;
    left: 0;
    right: 0;
    min-height: 30px;
    max-height: 30px
}
#hana-container .hana-composer pre,
#hana-container .hana-composer textarea {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    padding: 18px;
    padding-right: 100px;
    padding-left: 30px;
    width: 100%;
    height: 100%;
    font-family: "Times New Roman", Arial, sans-serif;
    font-size: 15px;
    font-weight: 400;
    line-height: 1.33;
    white-space: pre;
    white-space: pre-wrap;
    word-wrap: break-word
}
#hana-container .hana-composer textarea {
    position: absolute;
    bottom: 0;
    left: 0;
    color: #565867;
    background-color: #f4f7f9;
    resize: none;
    border: none;
    -webkit-transition: background-color .2s ease, -webkit-box-shadow .2s ease;
    transition: background-color .2s ease, -webkit-box-shadow .2s ease;
    transition: background-color .2s ease, box-shadow .2s ease;
    transition: background-color .2s ease, box-shadow .2s ease, -webkit-box-shadow .2s ease
}
#hana-container .hana-composer textarea::-webkit-input-placeholder {
    color: #b8c3ca;
    font-style: "Times New Roman", Arial, sans-serif;
    font-size: 15px;
    font-weight: 400;
    line-height: 1.33;
    opacity: .7
}
#hana-container .hana-composer textarea::-moz-placeholder {
    color: #b8c3ca;
    font-style: "Times New Roman", Arial, sans-serif;
    font-size: 15px;
    font-weight: 400;
    line-height: 1.33;
    opacity: .7
}
#hana-container .hana-composer textarea:-ms-input-placeholder {
    color: #b8c3ca;
    font-style: "Times New Roman", Arial, sans-serif;
    font-size: 15px;
    font-weight: 400;
    line-height: 1.33;
    opacity: .7
}
#hana-container .hana-composer textarea:focus {
    outline: none;
    background-color: #fff;
    -webkit-box-shadow: 0 0 100px 0 rgba(150, 165, 190, .24);
    box-shadow: 0 0 100px 0 rgba(150, 165, 190, .24)
}
#hana-container .hana-composer pre {
    visibility: hidden
}

#hana-container .hana-composer-buttons {
    position: absolute;
    top: 0;
    right: 30px
}

#hana-container .hana-composer-send-button,
#hana-container .hana-composer-upload-button {
    position: relative;
    float: left;
    display: inline-block;
    cursor: pointer;
    opacity: .7;
    height: 55px
}

#hana-container .hana-composer-send-button:hover,
#hana-container .hana-composer-upload-button:hover {
    opacity: 1
}
#hana-container .hana-composer-emoji-button:before,
#hana-container .hana-composer-gif-button:before,
#hana-container .hana-composer-send-button:before {
	position: absolute;
    top: 20px;
    background-position: 50%
}
#hana-container .hana-composer-upload-button:before {
    position: absolute;
    top: 5px;
	left: 12px !important;
	height: 30px;
    background-position: 50%
}
#hana-container .hana-composer-send-button {
    width: 30px
}
#hana-container .hana-composer-send-button:before {
    background-image: url(https://file.mideasvn.com/10min/popup/image/send.png);
    background-size: 20px 20px;
    background-repeat: no-repeat;
    content: " ";
    top: 19px;
    width: 20px;
    height: 20px;
    left: 5px
}
@media (-webkit-min-device-pixel-ratio: 1.3),
(min--moz-device-pixel-ratio: 1.3),
(min-device-pixel-ratio: 1.3),
(min-resolution: 1.3dppx) {
    #hana-container .hana-composer-send-button:before {
        background-image: url(https://file.mideasvn.com/10min/popup/image/send.png)
    }
}
#hana-container .hana-composer-upload-button {
    width: 30px
}
#hana-container .hana-composer-upload-button:before {
    background-image: url(https://file.mideasvn.com/10min/popup/image/image.png);
    background-size: 16px 18px;
    background-repeat: no-repeat;
    content: " ";
    width: 16px;
    height: 18px;
    left: 5px
}
@media (-webkit-min-device-pixel-ratio: 1.3),
(min--moz-device-pixel-ratio: 1.3),
(min-device-pixel-ratio: 1.3),
(min-resolution: 1.3dppx) {
    #hana-container .hana-composer-upload-button:before {
        background-image: url(https://file.mideasvn.com/10min/popup/image/image.png)
    }
}

@media only screen and (max-device-width: 667px) {
    #hana-container .hana-composer-send-button {
        position: relative;
        top: 10px;
        border-radius: 50%;
        width: 36px;
        height: 36px;
        /*-webkit-box-shadow: 0 1px 2px 0 rgba(0, 0, 0, .2);*/
        /*box-shadow: 0 1px 2px 0 rgba(0, 0, 0, .2);*/
        /*background-color: #1F8CEB*/
    }
    #hana-container .hana-composer-send-button:before {
        background-image: url(https://file.mideasvn.com/10min/popup/image/send.png);
        background-size: 14px 14px;
        background-repeat: no-repeat;
        content: " ";
        position: absolute;
        top: 12px;
        left: 12px;
        width: 14px;
        height: 14px
    }
}
@media only screen and (max-device-width: 667px) and (-webkit-min-device-pixel-ratio: 1.3),
only screen and (max-device-width: 667px) and (min--moz-device-pixel-ratio: 1.3),
only screen and (max-device-width: 667px) and (min-device-pixel-ratio: 1.3),
only screen and (max-device-width: 667px) and (min-resolution: 1.3dppx) {
    #hana-container .hana-composer-send-button:before {
        background-image: url(https://file.mideasvn.com/10min/popup/image/send.png);
    }
}

#hana-container .hana-comment-container,
#hana-container .hana-comment-container-borderless-single {
    position: relative;
    max-width: 75%
}
#hana-container .hana-comment-container-user {
    float: right
}
#hana-container .hana-comment-container-admin,
#hana-container .hana-comment-container-other-user {
    float: left;
    padding-left: 0
}
#hana-container .hana-comment-container-admin-avatar {
    position: absolute;
    left: 0;
    bottom: 10px
}
#hana-container .hana-comment-container-admin-avatar .hana-avatar {
    width: 30px;
    height: 30px;
    line-height: 30px;
    font-size: 15px
}
#hana-container .hana-comment-container-admin-avatar .hana-avatar img {
    width: 30px;
    height: 30px
}
#hana-container .hana-comment-container-admin-borderless-avatar {
    position: absolute;
    bottom: 0;
    left: 0;
    -webkit-box-shadow: 0 2px 8px 0 rgba(35, 47, 53, .09);
    box-shadow: 0 2px 8px 0 rgba(35, 47, 53, .09);
    border-radius: 100%
}
#hana-container .hana-comment-container-admin-borderless-avatar .hana-avatar {
    width: 30px;
    height: 30px;
    line-height: 30px;
    font-size: 15px
}
#hana-container .hana-comment-container-admin-borderless-avatar .hana-avatar img {
    width: 30px;
    height: 30px
}
#hana-container .hana-comment {
    padding: 13px 20px;
    position: relative
}
#hana-container .hana-comment-user {
    padding: 10px 20px;
	border-radius: 30px 10px 10px 30px;
    position: relative
}
#hana-container .hana-comment-admin {
    padding: 10px 20px;
	border-radius: 10px 30px 30px 10px;
    position: relative
}
#hana-container .hana-comment.hana-table-cell {
    display: table-cell;
}
#hana-container .hana-btn-retry {
    background-color: #1bb1db;
    background-image: none;
    padding: 8px 10px;
    margin-bottom: 5px;
    color: white;
    font-size: 14px;
    line-height: 14px;
    height: 30px;
    min-width: 76px;
    box-sizing: border-box;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
    text-align: center;
}
#hana-container .hana-comment pre span {
    color: inherit!important;
    background-color: inherit!important;
    font-weight: inherit!important;
    word-wrap: break-word
}
#hana-container .hana-comment-single .hana-image-progress {
    border-radius: 6px
}
#hana-container .hana-conversation-part-failed .hana-comment {
    opacity: .8
}
#hana-container .hana-comment-container-user .hana-comment {
    color: #fff;
    background-color: #1F8CEB
}
#hana-container .hana-comment-container-admin .hana-comment {
    color: #263238;
    background-color: #f4f7f9
}
#hana-container .hana-comment-container-admin .hana-comment a {
    color: #263238;
    text-decoration: underline
}
#hana-container .hana-comment-container-admin .hana-comment .hana-block-button-container {
    margin-bottom: 10px
}
#hana-container .hana-comment-container-admin .hana-comment .hana-block-button:hover {
    text-decoration: none
}
#hana-container .hana-comment-container-other-user .hana-comment {
    color: #263238;
    background-color: #f4f7f9
}
#hana-container .hana-comment-container-other-user .hana-comment a {
    color: #263238;
    text-decoration: underline
}
#hana-container .hana-comment-container-other-user .hana-comment .hana-block-button-container {
    margin-bottom: 10px
}
#hana-container .hana-comment-container-other-user .hana-comment .hana-block-button:hover {
    text-decoration: none
}
#hana-container .hana-comment-container-admin.hana-comment-container-borderless .hana-comment {
    background-color: #fff
}
#hana-container .hana-comment-container-admin.hana-comment-container-borderless .hana-comment a {
    color: #8f919d
}
#hana-container .hana-comment-tooltip {
    z-index: 2147483001;
    border-radius: 4px;
    padding: 5px;
    font-size: 12px;
    background-color: #3f4c60;
    color: #fff;
    position: absolute;
    white-space: nowrap
}

#hana-container .hana-typing-admin {
    position: relative;
    padding-left: 45px
}
#hana-container .hana-typing-admin-avatar {
    position: absolute;
    left: 0;
    bottom: 10px
}
#hana-container .hana-typing-admin-avatar .hana-avatar {
    width: 30px;
    height: 30px;
    line-height: 30px;
    font-size: 15px
}
#hana-container .hana-typing-admin-avatar .hana-avatar img {
    width: 30px;
    height: 30px
}
#hana-container .hana-typing-admin-bubble {
    height: 53px;
    width: 66px;
    padding: 0;
    background: #f4f7f9;
    border-radius: 4px;
    position: relative;
    -webkit-transform-origin: bottom left;
    -ms-transform-origin: bottom left;
    transform-origin: bottom left
}

#hana-container .hana-image {
    position: relative;
    overflow: hidden;
    -webkit-transition: opacity .1s ease-out;
    transition: opacity .1s ease-out
}
#hana-container .hana-image img {
    opacity: 0
}
#hana-container .hana-image-loaded img {
    opacity: 1
}
#hana-container .hana-image-zoomable img {
    cursor: -webkit-zoom-in;
    cursor: zoom-in
}
#hana-container .hana-image-placeholder {
    width: 100%
}

#hana-container .hana-text-input {
    position: relative
}
#hana-container .hana-text-input input {
    width: 100%;
    height: 38px;
    padding: 7px 35px 7px 12px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    font-size: 14px;
    border: 1px solid #dadfe3;
    border-radius: 4px;
    background: #fafbfc
}
#hana-container .hana-text-input input::-webkit-input-placeholder {
    color: #a5adb6
}
#hana-container .hana-text-input input::-moz-placeholder {
    color: #a5adb6
}
#hana-container .hana-text-input input:-ms-input-placeholder {
    color: #a5adb6
}
#hana-container .hana-text-input input:focus {
    border: 1px solid rgba(31, 140, 235, 0.5)
}
#hana-container .hana-text-input.hana-text-input-invalid input {
    background-color: #fcedef
}
#hana-container .hana-text-input.hana-text-input-invalid .hana-comment-tooltip {
    left: 20px;
    top: 75%
}
#hana-container .hana-text-input.hana-text-input-saved input,
#hana-container .hana-text-input.hana-text-input-saving input {
    border: 1px solid #e6ebef
}
#hana-container .hana-text-input.hana-text-input-saved .hana-text-input-submit-button,
#hana-container .hana-text-input.hana-text-input-saving .hana-text-input-submit-button {
    visibility: hidden
}
#hana-container .hana-text-input.hana-text-input-notification-channel.hana-text-input-saved input {
    background: #fff;
    color: #b8c3ca;
    border-color: #fff;
    padding: 0;
    height: 20px;
    -webkit-transition: color .4s .6s, border .3s, padding .3s .6s, height .4s 1s;
    transition: color .4s .6s, border .3s, padding .3s .6s, height .4s 1s
}
#hana-container .hana-text-input.hana-text-input-notification-channel.hana-text-input-saved .hana-text-input-submit-button {
    opacity: 0;
    -webkit-transition: opacity .3s, visibility 0 .3s;
    transition: opacity .3s, visibility 0 .3s
}
#hana-container .hana-text-input.hana-text-input-notification-channel.hana-text-input-saved .hana-text-input-success-icon {
    visibility: hidden
}
#hana-container .hana-text-input.hana-text-input-borderless.hana-text-input-reply-type input {
    height: 52px;
    border: none;
    padding-left: 20px
}
#hana-container .hana-text-input.hana-text-input-borderless.hana-text-input-reply-type .hana-text-input-submit-button {
    top: 6px;
    right: 6px;
    bottom: 6px;
    margin: 0;
    border-radius: 3px
}
#hana-container .hana-chat-card-borderless-single .hana-block,
#hana-container .hana-chat-card .hana-block,
#hana-container .hana-chat .hana-block,
#hana-container .hana-comment-single .hana-block,
#hana-container .hana-comment .hana-block,
#hana-container .hana-note-card .hana-block,
#hana-container .hana-note .hana-block,
#hana-container .hana-post-card .hana-block,
#hana-container .hana-post .hana-block {
    overflow-wrap: break-word;
    word-wrap: break-word;
    word-break: break-word
}
#hana-container .hana-chat-card-borderless-single .hana-block:last-child,
#hana-container .hana-chat-card .hana-block:last-child,
#hana-container .hana-chat .hana-block:last-child,
#hana-container .hana-comment-single .hana-block:last-child,
#hana-container .hana-comment .hana-block:last-child,
#hana-container .hana-note-card .hana-block:last-child,
#hana-container .hana-note .hana-block:last-child,
#hana-container .hana-post-card .hana-block:last-child,
#hana-container .hana-post .hana-block:last-child {
    margin-bottom: 0
}
#hana-container .hana-note-card .hana-block-heading,
#hana-container .hana-note .hana-block-heading,
#hana-container .hana-post-card .hana-block-heading,
#hana-container .hana-post .hana-block-heading {
    color: #1F8CEB;
    font-weight: 400
}
#hana-container .hana-post .hana-block-heading {
    font-size: 33px;
    line-height: 1.24;
    margin: 0 15.27% 30px
}
#hana-container .hana-note-card .hana-block-heading,
#hana-container .hana-post-card .hana-block-heading {
    font-size: 20px;
    line-height: 1.33;
    margin: 0 0 10px
}
#hana-container .hana-note .hana-block-heading {
    font-size: 24px;
    line-height: 1.33;
    margin: 0 7.31% 14px
}
#hana-container .hana-chat-card .hana-block-heading,
#hana-container .hana-chat .hana-block-heading {
    font-size: 14px;
    color: #6e7a89;
    margin: 0 0 10px;
    line-height: 1.33
}
#hana-container .hana-chat-card .hana-block-subheading,
#hana-container .hana-chat .hana-note-card .hana-block-subheading .hana-block-subheading,
#hana-container .hana-note-card .hana-block-subheading .hana-chat .hana-block-subheading,
#hana-container .hana-note .hana-block-subheading,
#hana-container .hana-post-card .hana-block-subheading,
#hana-container .hana-post .hana-block-subheading {
    color: #6e7a89;
    font-size: 20px;
    line-height: 1.24;
    margin: 0 15.27% 15px
}
#hana-container .hana-note-card .hana-block-subheading,
#hana-container .hana-post-card .hana-block-subheading {
    margin: 0 0 10px;
    font-size: 17px
}
#hana-container .hana-note .hana-block-subheading {
    margin: 0 7.31% 15px
}
#hana-container .hana-chat-card .hana-block-subheading,
#hana-container .hana-chat .hana-block-subheading {
    font-size: 14px;
    line-height: 1.33;
    margin: 0 0 10px
}
#hana-container .hana-chat-card .hana-block-image,
#hana-container .hana-chat .hana-block-image,
#hana-container .hana-comment-single .hana-block-image,
#hana-container .hana-comment .hana-block-image,
#hana-container .hana-note-card .hana-block-image,
#hana-container .hana-note .hana-block-image,
#hana-container .hana-post-card .hana-block-image,
#hana-container .hana-post .hana-block-image {
    display: block;
    text-align: center;
    max-width: 100%
}
#hana-container .hana-chat-card .hana-block-image img,
#hana-container .hana-chat .hana-block-image img,
#hana-container .hana-comment-single .hana-block-image img,
#hana-container .hana-comment .hana-block-image img,
#hana-container .hana-note-card .hana-block-image img,
#hana-container .hana-note .hana-block-image img,
#hana-container .hana-post-card .hana-block-image img,
#hana-container .hana-post .hana-block-image img {
    margin: 0 auto;
    display: block;
    max-width: 100%;
    vertical-align: bottom
}
#hana-container .hana-note .hana-block-image {
    margin-bottom: 23px
}
#hana-container .hana-post .hana-block-image {
    margin-bottom: 34px
}
#hana-container .hana-chat-card .hana-block-image,
#hana-container .hana-chat .hana-block-image {
    margin-bottom: 10px;
    -webkit-transition: all .12s ease-out;
    transition: all .12s ease-out
}
#hana-container .hana-note-card .hana-block-image,
#hana-container .hana-post-card .hana-block-image {
    margin-bottom: 10px
}
#hana-container .hana-comment-single .hana-block-image img {
    border-radius: 4px
}
#hana-container .hana-chat-card .hana-block-ordered-list>li,
#hana-container .hana-chat-card .hana-block-unordered-list>li,
#hana-container .hana-chat .hana-block-ordered-list>li,
#hana-container .hana-chat .hana-block-unordered-list>li,
#hana-container .hana-comment .hana-block-ordered-list>li,
#hana-container .hana-comment .hana-block-unordered-list>li,
#hana-container .hana-note-card .hana-block-ordered-list>li,
#hana-container .hana-note-card .hana-block-unordered-list>li,
#hana-container .hana-note .hana-block-ordered-list>li,
#hana-container .hana-note .hana-block-unordered-list>li,
#hana-container .hana-post-card .hana-block-ordered-list>li,
#hana-container .hana-post-card .hana-block-unordered-list>li,
#hana-container .hana-post .hana-block-ordered-list>li,
#hana-container .hana-post .hana-block-unordered-list>li {
    color: #6e7a89;
    margin: 0 0 5px 15px;
    padding: 0;
    list-style-position: outside;
    list-style-type: disc
}
#hana-container .hana-chat-card .hana-block-ordered-list>li,
#hana-container .hana-chat-card .hana-block-ordered-list>li a,
#hana-container .hana-chat-card .hana-block-ordered-list>li b,
#hana-container .hana-chat-card .hana-block-ordered-list>li em,
#hana-container .hana-chat-card .hana-block-ordered-list>li i,
#hana-container .hana-chat-card .hana-block-ordered-list>li strong,
#hana-container .hana-chat-card .hana-block-unordered-list>li,
#hana-container .hana-chat-card .hana-block-unordered-list>li a,
#hana-container .hana-chat-card .hana-block-unordered-list>li b,
#hana-container .hana-chat-card .hana-block-unordered-list>li em,
#hana-container .hana-chat-card .hana-block-unordered-list>li i,
#hana-container .hana-chat-card .hana-block-unordered-list>li strong,
#hana-container .hana-chat .hana-block-ordered-list>li,
#hana-container .hana-chat .hana-block-ordered-list>li a,
#hana-container .hana-chat .hana-block-ordered-list>li b,
#hana-container .hana-chat .hana-block-ordered-list>li em,
#hana-container .hana-chat .hana-block-ordered-list>li i,
#hana-container .hana-chat .hana-block-ordered-list>li strong,
#hana-container .hana-chat .hana-block-unordered-list>li,
#hana-container .hana-chat .hana-block-unordered-list>li a,
#hana-container .hana-chat .hana-block-unordered-list>li b,
#hana-container .hana-chat .hana-block-unordered-list>li em,
#hana-container .hana-chat .hana-block-unordered-list>li i,
#hana-container .hana-chat .hana-block-unordered-list>li strong,
#hana-container .hana-comment .hana-block-ordered-list>li,
#hana-container .hana-comment .hana-block-ordered-list>li a,
#hana-container .hana-comment .hana-block-ordered-list>li b,
#hana-container .hana-comment .hana-block-ordered-list>li em,
#hana-container .hana-comment .hana-block-ordered-list>li i,
#hana-container .hana-comment .hana-block-ordered-list>li strong,
#hana-container .hana-comment .hana-block-unordered-list>li,
#hana-container .hana-comment .hana-block-unordered-list>li a,
#hana-container .hana-comment .hana-block-unordered-list>li b,
#hana-container .hana-comment .hana-block-unordered-list>li em,
#hana-container .hana-comment .hana-block-unordered-list>li i,
#hana-container .hana-comment .hana-block-unordered-list>li strong,
#hana-container .hana-note-card .hana-block-ordered-list>li,
#hana-container .hana-note-card .hana-block-ordered-list>li a,
#hana-container .hana-note-card .hana-block-ordered-list>li b,
#hana-container .hana-note-card .hana-block-ordered-list>li em,
#hana-container .hana-note-card .hana-block-ordered-list>li i,
#hana-container .hana-note-card .hana-block-ordered-list>li strong,
#hana-container .hana-note-card .hana-block-unordered-list>li,
#hana-container .hana-note-card .hana-block-unordered-list>li a,
#hana-container .hana-note-card .hana-block-unordered-list>li b,
#hana-container .hana-note-card .hana-block-unordered-list>li em,
#hana-container .hana-note-card .hana-block-unordered-list>li i,
#hana-container .hana-note-card .hana-block-unordered-list>li strong,
#hana-container .hana-note .hana-block-ordered-list>li,
#hana-container .hana-note .hana-block-ordered-list>li a,
#hana-container .hana-note .hana-block-ordered-list>li b,
#hana-container .hana-note .hana-block-ordered-list>li em,
#hana-container .hana-note .hana-block-ordered-list>li i,
#hana-container .hana-note .hana-block-ordered-list>li strong,
#hana-container .hana-note .hana-block-unordered-list>li,
#hana-container .hana-note .hana-block-unordered-list>li a,
#hana-container .hana-note .hana-block-unordered-list>li b,
#hana-container .hana-note .hana-block-unordered-list>li em,
#hana-container .hana-note .hana-block-unordered-list>li i,
#hana-container .hana-note .hana-block-unordered-list>li strong,
#hana-container .hana-post-card .hana-block-ordered-list>li,
#hana-container .hana-post-card .hana-block-ordered-list>li a,
#hana-container .hana-post-card .hana-block-ordered-list>li b,
#hana-container .hana-post-card .hana-block-ordered-list>li em,
#hana-container .hana-post-card .hana-block-ordered-list>li i,
#hana-container .hana-post-card .hana-block-ordered-list>li strong,
#hana-container .hana-post-card .hana-block-unordered-list>li,
#hana-container .hana-post-card .hana-block-unordered-list>li a,
#hana-container .hana-post-card .hana-block-unordered-list>li b,
#hana-container .hana-post-card .hana-block-unordered-list>li em,
#hana-container .hana-post-card .hana-block-unordered-list>li i,
#hana-container .hana-post-card .hana-block-unordered-list>li strong,
#hana-container .hana-post .hana-block-ordered-list>li,
#hana-container .hana-post .hana-block-ordered-list>li a,
#hana-container .hana-post .hana-block-ordered-list>li b,
#hana-container .hana-post .hana-block-ordered-list>li em,
#hana-container .hana-post .hana-block-ordered-list>li i,
#hana-container .hana-post .hana-block-ordered-list>li strong,
#hana-container .hana-post .hana-block-unordered-list>li,
#hana-container .hana-post .hana-block-unordered-list>li a,
#hana-container .hana-post .hana-block-unordered-list>li b,
#hana-container .hana-post .hana-block-unordered-list>li em,
#hana-container .hana-post .hana-block-unordered-list>li i,
#hana-container .hana-post .hana-block-unordered-list>li strong {
    overflow-wrap: break-word;
    word-wrap: break-word
}
#hana-container .hana-chat-card .hana-block-ordered-list>li a,
#hana-container .hana-chat-card .hana-block-unordered-list>li a,
#hana-container .hana-chat .hana-block-ordered-list>li a,
#hana-container .hana-chat .hana-block-unordered-list>li a,
#hana-container .hana-comment .hana-block-ordered-list>li a,
#hana-container .hana-comment .hana-block-unordered-list>li a,
#hana-container .hana-note-card .hana-block-ordered-list>li a,
#hana-container .hana-note-card .hana-block-unordered-list>li a,
#hana-container .hana-note .hana-block-ordered-list>li a,
#hana-container .hana-note .hana-block-unordered-list>li a,
#hana-container .hana-post-card .hana-block-ordered-list>li a,
#hana-container .hana-post-card .hana-block-unordered-list>li a,
#hana-container .hana-post .hana-block-ordered-list>li a,
#hana-container .hana-post .hana-block-unordered-list>li a {
    color: #1F8CEB;
    text-decoration: underline
}
#hana-container .hana-chat-card .hana-block-ordered-list>li:last-child,
#hana-container .hana-chat-card .hana-block-unordered-list>li:last-child,
#hana-container .hana-chat .hana-block-ordered-list>li:last-child,
#hana-container .hana-chat .hana-block-unordered-list>li:last-child,
#hana-container .hana-comment .hana-block-ordered-list>li:last-child,
#hana-container .hana-comment .hana-block-unordered-list>li:last-child,
#hana-container .hana-note-card .hana-block-ordered-list>li:last-child,
#hana-container .hana-note-card .hana-block-unordered-list>li:last-child,
#hana-container .hana-note .hana-block-ordered-list>li:last-child,
#hana-container .hana-note .hana-block-unordered-list>li:last-child,
#hana-container .hana-post-card .hana-block-ordered-list>li:last-child,
#hana-container .hana-post-card .hana-block-unordered-list>li:last-child,
#hana-container .hana-post .hana-block-ordered-list>li:last-child,
#hana-container .hana-post .hana-block-unordered-list>li:last-child {
    margin-bottom: 0
}
#hana-container .hana-chat-card .hana-block-ordered-list>li,
#hana-container .hana-chat .hana-block-ordered-list>li,
#hana-container .hana-comment .hana-block-ordered-list>li,
#hana-container .hana-note-card .hana-block-ordered-list>li,
#hana-container .hana-note .hana-block-ordered-list>li,
#hana-container .hana-post-card .hana-block-ordered-list>li,
#hana-container .hana-post .hana-block-ordered-list>li {
    list-style-type: decimal
}
#hana-container .hana-comment .hana-block-ordered-list,
#hana-container .hana-comment .hana-block-unordered-list,
#hana-container .hana-note-card .hana-block-ordered-list,
#hana-container .hana-note-card .hana-block-unordered-list,
#hana-container .hana-post-card .hana-block-ordered-list,
#hana-container .hana-post-card .hana-block-unordered-list {
    font-size: 14px;
    margin: 0 0 10px 10px;
    line-height: 1.33
}
#hana-container .hana-post .hana-block-ordered-list,
#hana-container .hana-post .hana-block-unordered-list {
    font-size: 17px;
    line-height: 1.41;
    margin: 0 15.27% 27px;
    padding: 0 0 0 16px
}
#hana-container .hana-chat-card .hana-block-ordered-list,
#hana-container .hana-chat-card .hana-block-unordered-list,
#hana-container .hana-chat .hana-block-ordered-list,
#hana-container .hana-chat .hana-block-unordered-list {
    font-size: 14px;
    margin: 0 0 10px;
    padding: 0 0 0 8px;
    line-height: 1.33
}
#hana-container .hana-note .hana-block-ordered-list,
#hana-container .hana-note .hana-block-unordered-list {
    font-size: 14px;
    margin: 0 7.31% 10px;
    padding: 0 0 0 8px;
    line-height: 1.33
}
#hana-container .hana-chat-card-borderless-single .hana-block-video,
#hana-container .hana-chat-card .hana-block-video,
#hana-container .hana-chat .hana-block-video,
#hana-container .hana-comment .hana-block-video,
#hana-container .hana-note-card .hana-block-video,
#hana-container .hana-note .hana-block-video,
#hana-container .hana-post-card .hana-block-video,
#hana-container .hana-post .hana-block-video {
    position: relative;
    display: block
}
#hana-container .hana-chat-card-borderless-single .hana-block-video:before,
#hana-container .hana-chat-card .hana-block-video:before,
#hana-container .hana-chat .hana-block-video:before,
#hana-container .hana-comment .hana-block-video:before,
#hana-container .hana-note-card .hana-block-video:before,
#hana-container .hana-note .hana-block-video:before,
#hana-container .hana-post-card .hana-block-video:before,
#hana-container .hana-post .hana-block-video:before {
    display: block;
    content: " ";
    width: 100%;
    padding-top: 56.25%
}
#hana-container .hana-chat-card-borderless-single .hana-block-video iframe,
#hana-container .hana-chat-card-borderless-single .hana-block-video video,
#hana-container .hana-chat-card .hana-block-video iframe,
#hana-container .hana-chat-card .hana-block-video video,
#hana-container .hana-chat .hana-block-video iframe,
#hana-container .hana-chat .hana-block-video video,
#hana-container .hana-comment .hana-block-video iframe,
#hana-container .hana-comment .hana-block-video video,
#hana-container .hana-note-card .hana-block-video iframe,
#hana-container .hana-note-card .hana-block-video video,
#hana-container .hana-note .hana-block-video iframe,
#hana-container .hana-note .hana-block-video video,
#hana-container .hana-post-card .hana-block-video iframe,
#hana-container .hana-post-card .hana-block-video video,
#hana-container .hana-post .hana-block-video iframe,
#hana-container .hana-post .hana-block-video video {
    width: 100%;
    height: 100%;
    vertical-align: top;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0
}
#hana-container .hana-chat-card .hana-block-video iframe,
#hana-container .hana-chat-card .hana-block-video video,
#hana-container .hana-chat .hana-block-video iframe,
#hana-container .hana-chat .hana-block-video video,
#hana-container .hana-comment .hana-block-video iframe,
#hana-container .hana-comment .hana-block-video video {
    position: static;
    margin-top: -56.25%
}
#hana-container .hana-note .hana-block-video {
    margin: 0 7.31% 24px
}
#hana-container .hana-post .hana-block-video {
    margin: 0 15.27% 40px
}
#hana-container .hana-chat .hana-block-video,
#hana-container .hana-comment .hana-block-video {
    height: 120px
}
#hana-container .hana-chat-card .hana-block-video,
#hana-container .hana-chat .hana-block-video,
#hana-container .hana-note-card .hana-block-video,
#hana-container .hana-post-card .hana-block-video {
    margin-bottom: 10px
}
#hana-container .hana-comment-single .hana-block-video iframe,
#hana-container .hana-comment-single .hana-block-video video {
    border-radius: 4px
}

#hana-container .hana-chat-card .hana-block-paragraph,
#hana-container .hana-chat .hana-block-paragraph,
#hana-container .hana-note-card .hana-block-paragraph,
#hana-container .hana-note .hana-block-paragraph,
#hana-container .hana-post-card .hana-block-paragraph,
#hana-container .hana-post .hana-block-paragraph {
    color: #6e7a89
}
#hana-container .hana-chat-card .hana-block-paragraph a,
#hana-container .hana-chat .hana-block-paragraph a,
#hana-container .hana-note-card .hana-block-paragraph a,
#hana-container .hana-note .hana-block-paragraph a,
#hana-container .hana-post-card .hana-block-paragraph a,
#hana-container .hana-post .hana-block-paragraph a {
    color: #1F8CEB
}
#hana-container .hana-note .hana-block-paragraph {
    font-size: 14px;
    line-height: 1.4;
    margin: 0 7.31% 10px
}
#hana-container .hana-post .hana-block-paragraph {
    font-size: 17px;
    line-height: 1.4;
    margin: 0 15.27% 17px
}
#hana-container .hana-chat-card .hana-block-paragraph,
#hana-container .hana-chat .hana-block-paragraph,
#hana-container .hana-comment .hana-block-paragraph,
#hana-container .hana-note-card .hana-block-paragraph,
#hana-container .hana-post-card .hana-block-paragraph {
    font-size: 14px;
    line-height: 1.4;
    margin: 0 0 10px
}
#hana-container .hana-chat-card .hana-block-paragraph a,
#hana-container .hana-chat-card .hana-block-paragraph b,
#hana-container .hana-chat-card .hana-block-paragraph em,
#hana-container .hana-chat-card .hana-block-paragraph i,
#hana-container .hana-chat-card .hana-block-paragraph p,
#hana-container .hana-chat-card .hana-block-paragraph strong,
#hana-container .hana-chat .hana-block-paragraph a,
#hana-container .hana-chat .hana-block-paragraph b,
#hana-container .hana-chat .hana-block-paragraph em,
#hana-container .hana-chat .hana-block-paragraph i,
#hana-container .hana-chat .hana-block-paragraph p,
#hana-container .hana-chat .hana-block-paragraph strong,
#hana-container .hana-comment .hana-block-paragraph a,
#hana-container .hana-comment .hana-block-paragraph b,
#hana-container .hana-comment .hana-block-paragraph em,
#hana-container .hana-comment .hana-block-paragraph i,
#hana-container .hana-comment .hana-block-paragraph p,
#hana-container .hana-comment .hana-block-paragraph strong,
#hana-container .hana-note-card .hana-block-paragraph a,
#hana-container .hana-note-card .hana-block-paragraph b,
#hana-container .hana-note-card .hana-block-paragraph em,
#hana-container .hana-note-card .hana-block-paragraph i,
#hana-container .hana-note-card .hana-block-paragraph p,
#hana-container .hana-note-card .hana-block-paragraph strong,
#hana-container .hana-note .hana-block-paragraph a,
#hana-container .hana-note .hana-block-paragraph b,
#hana-container .hana-note .hana-block-paragraph em,
#hana-container .hana-note .hana-block-paragraph i,
#hana-container .hana-note .hana-block-paragraph p,
#hana-container .hana-note .hana-block-paragraph strong,
#hana-container .hana-post-card .hana-block-paragraph a,
#hana-container .hana-post-card .hana-block-paragraph b,
#hana-container .hana-post-card .hana-block-paragraph em,
#hana-container .hana-post-card .hana-block-paragraph i,
#hana-container .hana-post-card .hana-block-paragraph p,
#hana-container .hana-post-card .hana-block-paragraph strong,
#hana-container .hana-post .hana-block-paragraph a,
#hana-container .hana-post .hana-block-paragraph b,
#hana-container .hana-post .hana-block-paragraph em,
#hana-container .hana-post .hana-block-paragraph i,
#hana-container .hana-post .hana-block-paragraph p,
#hana-container .hana-post .hana-block-paragraph strong {
    overflow-wrap: break-word;
    word-wrap: break-word
}
#hana-container .hana-chat-card .hana-block-paragraph a,
#hana-container .hana-chat .hana-block-paragraph a,
#hana-container .hana-comment .hana-block-paragraph a,
#hana-container .hana-note-card .hana-block-paragraph a,
#hana-container .hana-note .hana-block-paragraph a,
#hana-container .hana-post-card .hana-block-paragraph a,
#hana-container .hana-post .hana-block-paragraph a {
    text-decoration: underline
}
#hana-container .hana-chat-card .hana-block-paragraph a:active,
#hana-container .hana-chat-card .hana-block-paragraph a:focus,
#hana-container .hana-chat-card .hana-block-paragraph a:hover,
#hana-container .hana-chat .hana-block-paragraph a:active,
#hana-container .hana-chat .hana-block-paragraph a:focus,
#hana-container .hana-chat .hana-block-paragraph a:hover,
#hana-container .hana-comment .hana-block-paragraph a:active,
#hana-container .hana-comment .hana-block-paragraph a:focus,
#hana-container .hana-comment .hana-block-paragraph a:hover,
#hana-container .hana-note-card .hana-block-paragraph a:active,
#hana-container .hana-note-card .hana-block-paragraph a:focus,
#hana-container .hana-note-card .hana-block-paragraph a:hover,
#hana-container .hana-note .hana-block-paragraph a:active,
#hana-container .hana-note .hana-block-paragraph a:focus,
#hana-container .hana-note .hana-block-paragraph a:hover,
#hana-container .hana-post-card .hana-block-paragraph a:active,
#hana-container .hana-post-card .hana-block-paragraph a:focus,
#hana-container .hana-post-card .hana-block-paragraph a:hover,
#hana-container .hana-post .hana-block-paragraph a:active,
#hana-container .hana-post .hana-block-paragraph a:focus,
#hana-container .hana-post .hana-block-paragraph a:hover {
    text-decoration: none
}
#hana-container .hana-block-html {
    font-size: 13px
}
#hana-container .hana-note-card .hana-block-button,
#hana-container .hana-note .hana-block-button,
#hana-container .hana-post-card .hana-block-button,
#hana-container .hana-post .hana-block-button {
    display: inline-block;
    font-weight: 700;
    color: #fff;
    background-color: #1F8CEB;
    text-align: center;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    border-radius: 4px;
    padding: 8px 40px;
    font-size: 14px;
    text-decoration: none
}
#hana-container .hana-note-card .hana-block-button>span,
#hana-container .hana-note .hana-block-button>span,
#hana-container .hana-post-card .hana-block-button>span,
#hana-container .hana-post .hana-block-button>span {
    font-weight: 700
}
#hana-container .hana-post .hana-block-button {
    margin: 0 15.27%;
    font-size: 17px;
    line-height: 1.4
}
#hana-container .hana-note .hana-block-button {
    margin: 0 7.31%;
    line-height: 1.4
}
#hana-container .hana-chat-card .hana-block-button,
#hana-container .hana-chat .hana-block-button {
    color: #1F8CEB;
    text-decoration: underline;
    font-size: 14px;
    line-height: 1.4;
    margin: 0 0 10px
}
#hana-container .hana-chat-card .hana-block-button:hover,
#hana-container .hana-chat .hana-block-button:hover {
    text-decoration: none
}
#hana-container .hana-note-card .hana-block-button,
#hana-container .hana-post-card .hana-block-button {
    margin: 0;
    line-height: 1.4
}
#hana-container .hana-post .hana-block-button-container {
    margin-bottom: 17px
}
#hana-container .hana-note .hana-block-button-container {
    margin-bottom: 9px
}
#hana-container .hana-chat .hana-block-button-container,
#hana-container .hana-note-card .hana-block-button-container,
#hana-container .hana-post-card .hana-block-button-container {
    margin-bottom: 10px
}
#hana-container .hana-chat-card .hana-block-twitter iframe,
#hana-container .hana-chat .hana-block-twitter iframe,
#hana-container .hana-note-card .hana-block-twitter iframe,
#hana-container .hana-note .hana-block-twitter iframe,
#hana-container .hana-post-card .hana-block-twitter iframe,
#hana-container .hana-post .hana-block-twitter iframe {
    max-height: 20px;
    max-width: 100%
}
#hana-container .hana-note .hana-block-twitter {
    margin: 0 7.31% 9px
}
#hana-container .hana-post .hana-block-twitter {
    margin: 0 15.27% 9px
}
#hana-container .hana-chat-card .hana-block-twitter,
#hana-container .hana-chat .hana-block-twitter,
#hana-container .hana-note-card .hana-block-twitter,
#hana-container .hana-post-card .hana-block-twitter {
    margin: 0 0 10px
}
#hana-container .hana-chat-card .hana-block-facebook iframe,
#hana-container .hana-chat .hana-block-facebook iframe,
#hana-container .hana-note-card .hana-block-facebook iframe,
#hana-container .hana-note .hana-block-facebook iframe,
#hana-container .hana-post-card .hana-block-facebook iframe,
#hana-container .hana-post .hana-block-facebook iframe {
    max-height: 20px;
    max-width: 100%
}
#hana-container .hana-note .hana-block-facebook {
    margin: 0 7.31% 9px
}
#hana-container .hana-post .hana-block-facebook {
    margin: 0 15.27% 9px
}
#hana-container .hana-chat-card .hana-chat .hana-block-facebook .hana-block-facebook,
#hana-container .hana-chat .hana-block-facebook .hana-chat-card .hana-block-facebook,
#hana-container .hana-note-card .hana-block-facebook,
#hana-container .hana-post-card .hana-block-facebook {
    margin: 0 0 10px
}

#hana-container .hana-chat-card .hana-block-code,
#hana-container .hana-chat .hana-block-code,
#hana-container .hana-comment .hana-block-code,
#hana-container .hana-note-card .hana-block-code,
#hana-container .hana-note .hana-block-code,
#hana-container .hana-post-card .hana-block-code,
#hana-container .hana-post .hana-block-code {
    margin: 0 0 10px;
    padding: 10px;
    background-color: #dadfe3;
    overflow: auto
}
#hana-container .hana-chat-card .hana-block-code>code,
#hana-container .hana-chat .hana-block-code>code,
#hana-container .hana-comment .hana-block-code>code,
#hana-container .hana-note-card .hana-block-code>code,
#hana-container .hana-note .hana-block-code>code,
#hana-container .hana-post-card .hana-block-code>code,
#hana-container .hana-post .hana-block-code>code {
    font-family: Courier, monospace;
    font-size: 14px;
    line-height: 1.4;
    white-space: nowrap
}
#hana-container .hana-chat-card-borderless-single .hana-block-link,
#hana-container .hana-chat-card .hana-block-link,
#hana-container .hana-chat .hana-block-link,
#hana-container .hana-comment .hana-block-link {
    -webkit-box-shadow: 0 1px 2px 0 rgba(0, 0, 0, .03);
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, .03);
    margin-bottom: 10px
}
#hana-container .hana-block-center {
    text-align: center
}

@-webkit-keyframes hana-chat-animation {
    0% {
        -webkit-transform: translateY(102px);
        transform: translateY(102px);
        opacity: 0
    }
    20% {
        -webkit-transform: translateY(52px);
        transform: translateY(52px)
    }
    70% {
        -webkit-transform: translateY(52px);
        transform: translateY(52px);
        opacity: 1
    }
    to {
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }
}
@keyframes hana-chat-animation {
    0% {
        -webkit-transform: translateY(102px);
        transform: translateY(102px);
        opacity: 0
    }
    20% {
        -webkit-transform: translateY(52px);
        transform: translateY(52px)
    }
    70% {
        -webkit-transform: translateY(52px);
        transform: translateY(52px);
        opacity: 1
    }
    to {
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }
}
@-webkit-keyframes hana-chat-card-avatar-animation {
    0% {
        opacity: 0
    }
    50% {
        -webkit-transform: scale(.5);
        transform: scale(.5);
        opacity: 0
    }
    to {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 1
    }
}
@keyframes hana-chat-card-avatar-animation {
    0% {
        opacity: 0
    }
    50% {
        -webkit-transform: scale(.5);
        transform: scale(.5);
        opacity: 0
    }
    to {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 1
    }
}
@-webkit-keyframes hana-chat-composer-animation {
    0% {
        opacity: 0
    }
    70% {
        opacity: 0;
        -webkit-transform: translateY(20px);
        transform: translateY(20px)
    }
    to {
        opacity: 1;
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }
}
@keyframes hana-chat-composer-animation {
    0% {
        opacity: 0
    }
    70% {
        opacity: 0;
        -webkit-transform: translateY(20px);
        transform: translateY(20px)
    }
    to {
        opacity: 1;
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }
}
#hana-container .hana-chat {
    -webkit-animation: hana-chat-animation .75s ease;
    animation: hana-chat-animation .75s ease
}
#hana-container .hana-chat .hana-chat-card-avatar {
    -webkit-animation: hana-chat-card-avatar-animation .5s ease;
    animation: hana-chat-card-avatar-animation .5s ease
}
#hana-container .hana-chat .hana-chat-card-body {
    -webkit-animation: hana-notification-body-animation .5s ease;
    animation: hana-notification-body-animation .5s ease
}
#hana-container .hana-chat .hana-chat-composer {
    -webkit-animation: hana-chat-composer-animation .75s ease;
    animation: hana-chat-composer-animation .75s ease
}
#hana-container .hana-booting-body-enter-active,
#hana-container .hana-booting-body-leave-active {
    -webkit-transition: opacity .2s ease;
    transition: opacity .2s ease
}
#hana-container .hana-booting-body-enter {
    opacity: 0
}
#hana-container .hana-booting-body-enter-active,
#hana-container .hana-booting-body-leave {
    opacity: 1
}
#hana-container .hana-booting-body-leave-active {
    opacity: 0
}
#hana-container .hana-note.hana-message-enter {
    opacity: 0;
    -webkit-transform: translateY(20px);
    -ms-transform: translateY(20px);
    transform: translateY(20px)
}
#hana-container .hana-note.hana-message-enter.hana-message-enter-active {
    -webkit-transition: opacity .2s, -webkit-transform .2s;
    transition: opacity .2s, -webkit-transform .2s;
    transition: opacity .2s, transform .2s;
    transition: opacity .2s, transform .2s, -webkit-transform .2s
}
#hana-container .hana-note.hana-message-enter.hana-message-enter-active,
#hana-container .hana-note.hana-message-leave {
    opacity: 1;
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0)
}
#hana-container .hana-note.hana-message-leave.hana-message-leave-active {
    -webkit-transition: opacity .2s, -webkit-transform .2s;
    transition: opacity .2s, -webkit-transform .2s;
    transition: opacity .2s, transform .2s;
    transition: opacity .2s, transform .2s, -webkit-transform .2s
}


@-webkit-keyframes hana-messenger-view-fade-in {
    0% {
        opacity: 0
    }
    to {
        opacity: 1
    }
}
@keyframes hana-messenger-view-fade-in {
    0% {
        opacity: 0
    }
    to {
        opacity: 1
    }
}
@-webkit-keyframes hana-messenger-view-fade-out {
    0% {
        opacity: 1
    }
    to {
        opacity: 0
    }
}
@keyframes hana-messenger-view-fade-out {
    0% {
        opacity: 1
    }
    to {
        opacity: 0
    }
}
@-webkit-keyframes hana-composer-slide-in {
    0% {
        opacity: 0;
        -webkit-transform: translateY(15px);
        transform: translateY(15px)
    }
    to {
        opacity: 1;
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }
}
@keyframes hana-composer-slide-in {
    0% {
        opacity: 0;
        -webkit-transform: translateY(15px);
        transform: translateY(15px)
    }
    to {
        opacity: 1;
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }
}
@-webkit-keyframes hana-composer-slide-out {
    0% {
        opacity: 1;
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }
    to {
        opacity: 0;
        -webkit-transform: translateY(15px);
        transform: translateY(15px)
    }
}
@keyframes hana-composer-slide-out {
    0% {
        opacity: 1;
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }
    to {
        opacity: 0;
        -webkit-transform: translateY(15px);
        transform: translateY(15px)
    }
}
@-webkit-keyframes hana-messenger-view-slide-left-out {
    0% {
        opacity: 1;
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
    to {
        opacity: 0;
        -webkit-transform: translateX(-8px);
        transform: translateX(-8px)
    }
}
@keyframes hana-messenger-view-slide-left-out {
    0% {
        opacity: 1;
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
    to {
        opacity: 0;
        -webkit-transform: translateX(-8px);
        transform: translateX(-8px)
    }
}
@-webkit-keyframes hana-messenger-view-slide-right-out {
    0% {
        opacity: 1;
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
    to {
        opacity: 0;
        -webkit-transform: translateX(8px);
        transform: translateX(8px)
    }
}
@keyframes hana-messenger-view-slide-right-out {
    0% {
        opacity: 1;
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
    to {
        opacity: 0;
        -webkit-transform: translateX(8px);
        transform: translateX(8px)
    }
}
@-webkit-keyframes hana-messenger-view-slide-left-in {
    0% {
        opacity: 0;
        -webkit-transform: translateX(8px);
        transform: translateX(8px)
    }
    to {
        opacity: 1;
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
}
@keyframes hana-messenger-view-slide-left-in {
    0% {
        opacity: 0;
        -webkit-transform: translateX(8px);
        transform: translateX(8px)
    }
    to {
        opacity: 1;
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
}
@-webkit-keyframes hana-messenger-view-slide-right-in {
    0% {
        opacity: 0;
        -webkit-transform: translateX(-8px);
        transform: translateX(-8px)
    }
    to {
        opacity: 1;
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
}
@keyframes hana-messenger-view-slide-right-in {
    0% {
        opacity: 0;
        -webkit-transform: translateX(-8px);
        transform: translateX(-8px)
    }
    to {
        opacity: 1;
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
}
@-webkit-keyframes mv3-new-conversation-button-slide-down {
    0% {
        opacity: 1;
        -webkit-transform: translateY(0) translateX(-50%) scale(1);
        transform: translateY(0) translateX(-50%) scale(1)
    }
    to {
        opacity: 0;
        -webkit-transform: translateY(8px) translateX(-50%) scale(.96);
        transform: translateY(8px) translateX(-50%) scale(.96)
    }
}
@keyframes mv3-new-conversation-button-slide-down {
    0% {
        opacity: 1;
        -webkit-transform: translateY(0) translateX(-50%) scale(1);
        transform: translateY(0) translateX(-50%) scale(1)
    }
    to {
        opacity: 0;
        -webkit-transform: translateY(8px) translateX(-50%) scale(.96);
        transform: translateY(8px) translateX(-50%) scale(.96)
    }
}
@-webkit-keyframes mv3-new-conversation-button-slide-up {
    0% {
        opacity: 0;
        -webkit-transform: translateY(8px) translateX(-50%) scale(.96);
        transform: translateY(8px) translateX(-50%) scale(.96)
    }
    to {
        opacity: 1;
        -webkit-transform: translateY(0) translateX(-50%) scale(1);
        transform: translateY(0) translateX(-50%) scale(1)
    }
}
@keyframes mv3-new-conversation-button-slide-up {
    0% {
        opacity: 0;
        -webkit-transform: translateY(8px) translateX(-50%) scale(.96);
        transform: translateY(8px) translateX(-50%) scale(.96)
    }
    to {
        opacity: 1;
        -webkit-transform: translateY(0) translateX(-50%) scale(1);
        transform: translateY(0) translateX(-50%) scale(1)
    }
}
#hana-container .hana-messenger-view-enter.hana-conversations {
    z-index: 2147483001
}

#hana-container .hana-conversation .hana-conversation-backgrounds,
#hana-container .hana-conversation .hana-link {
    opacity: 1;
    -webkit-animation-name: hana-messenger-view-fade-in;
    animation-name: hana-messenger-view-fade-in;
    -webkit-animation-duration: .32s;
    animation-duration: .32s;
    -webkit-animation-timing-function: cubic-bezier(.23, 1, .32, 1);
    animation-timing-function: cubic-bezier(.23, 1, .32, 1);
    -webkit-animation-delay: 80ms;
    animation-delay: 80ms;
    -webkit-animation-fill-mode: backwards;
    animation-fill-mode: backwards
}
#hana-container .hana-conversation .hana-conversation-parts {
    opacity: 1;
    -webkit-transform: translateX(0);
    -ms-transform: translateX(0);
    transform: translateX(0);
    -webkit-animation-name: hana-messenger-view-slide-left-in;
    animation-name: hana-messenger-view-slide-left-in;
    -webkit-animation-duration: .32s;
    animation-duration: .32s;
    -webkit-animation-timing-function: cubic-bezier(.23, 1, .32, 1);
    animation-timing-function: cubic-bezier(.23, 1, .32, 1);
    -webkit-animation-delay: .23s;
    animation-delay: .23s;
    -webkit-animation-fill-mode: backwards;
    animation-fill-mode: backwards
}
#hana-container .hana-conversation .hana-conversation-footer {
    opacity: 1;
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0);
    -webkit-animation-name: hana-composer-slide-in;
    animation-name: hana-composer-slide-in;
    -webkit-animation-duration: .32s;
    animation-duration: .32s;
    -webkit-animation-timing-function: cubic-bezier(.23, 1, .32, 1);
    animation-timing-function: cubic-bezier(.23, 1, .32, 1);
    -webkit-animation-delay: 80ms;
    animation-delay: 80ms;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both
}

#hana-container .hana-conversation-part-user.hana-conversation-part-enter {
    opacity: 0;
    -webkit-transform: translateY(40px);
    -ms-transform: translateY(40px);
    transform: translateY(40px)
}
#hana-container .hana-conversation-part-user.hana-conversation-part-enter.hana-conversation-part-enter-active {
    opacity: 1;
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0);
    -webkit-transition: opacity .2s, -webkit-transform .2s;
    transition: opacity .2s, -webkit-transform .2s;
    transition: opacity .2s, transform .2s;
    transition: opacity .2s, transform .2s, -webkit-transform .2s
}
#hana-container .hana-conversation-parts-scrolled .hana-conversation-part-user.hana-conversation-part-enter {
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    transform: translateY(0)
}
#hana-container .hana-conversation-part-admin.hana-conversation-part-enter {
    opacity: 0
}
#hana-container .hana-conversation-part-admin.hana-conversation-part-enter.hana-conversation-part-enter-active {
    opacity: 1;
    -webkit-transition: opacity .2s;
    transition: opacity .2s
}
#hana-container .hana-conversation-parts {
    -webkit-transition: -webkit-transform .2s;
    transition: -webkit-transform .2s;
    transition: transform .2s;
    transition: transform .2s, -webkit-transform .2s
}
#hana-container .hana-conversation-parts-scrolling {
    -webkit-transition: none;
    transition: none
}
#hana-container .hana-conversation-rating-enter {
    opacity: 0
}
#hana-container .hana-conversation-rating-enter-active {
    opacity: 1;
    -webkit-transition: opacity .3s ease-in .15s;
    transition: opacity .3s ease-in .15s
}
#hana-container .hana-conversation-rating-leave {
    opacity: 1
}
#hana-container .hana-conversation-rating-leave-active {
    opacity: 0;
    -webkit-transition: opacity .3s ease-in;
    transition: opacity .3s ease-in
}
#hana-container .hana-conversation-rating-height {
    -webkit-transition: height .3s ease-in-out;
    transition: height .3s ease-in-out
}

@-webkit-keyframes hana-borderless-animation {
    0% {
        -webkit-transform: translateY(102px);
        transform: translateY(102px);
        opacity: 0
    }
    20% {
        -webkit-transform: translateY(52px);
        transform: translateY(52px)
    }
    70% {
        -webkit-transform: translateY(52px);
        transform: translateY(52px);
        opacity: 1
    }
    to {
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }
}
@keyframes hana-borderless-animation {
    0% {
        -webkit-transform: translateY(102px);
        transform: translateY(102px);
        opacity: 0
    }
    20% {
        -webkit-transform: translateY(52px);
        transform: translateY(52px)
    }
    70% {
        -webkit-transform: translateY(52px);
        transform: translateY(52px);
        opacity: 1
    }
    to {
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }
}
@-webkit-keyframes hana-borderless-avatar-animation {
    0% {
        opacity: 0
    }
    50% {
        -webkit-transform: scale(.5);
        transform: scale(.5);
        opacity: 0
    }
    to {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 1
    }
}
@keyframes hana-borderless-avatar-animation {
    0% {
        opacity: 0
    }
    50% {
        -webkit-transform: scale(.5);
        transform: scale(.5);
        opacity: 0
    }
    to {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 1
    }
}
@-webkit-keyframes hana-borderless-composer-animation {
    0% {
        opacity: 0
    }
    70% {
        opacity: 0;
        -webkit-transform: translateY(20px);
        transform: translateY(20px)
    }
    to {
        opacity: 1;
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }
}
@keyframes hana-borderless-composer-animation {
    0% {
        opacity: 0
    }
    70% {
        opacity: 0;
        -webkit-transform: translateY(20px);
        transform: translateY(20px)
    }
    to {
        opacity: 1;
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }
}

@-webkit-keyframes animate-is-typing-avatar {
    0% {
        opacity: 0;
        -webkit-transform: scale(.9);
        transform: scale(.9)
    }
    to {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1)
    }
}
@keyframes animate-is-typing-avatar {
    0% {
        opacity: 0;
        -webkit-transform: scale(.9);
        transform: scale(.9)
    }
    to {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1)
    }
}
@-webkit-keyframes animate-is-typing-bubble {
    0% {
        opacity: 0;
        -webkit-transform: scale(.6);
        transform: scale(.6)
    }
    50% {
        opacity: 0;
        -webkit-transform: scale(.6);
        transform: scale(.6)
    }
    to {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1)
    }
}
@keyframes animate-is-typing-bubble {
    0% {
        opacity: 0;
        -webkit-transform: scale(.6);
        transform: scale(.6)
    }
    50% {
        opacity: 0;
        -webkit-transform: scale(.6);
        transform: scale(.6)
    }
    to {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1)
    }
}
@-webkit-keyframes collapse-is-typing-bubble {
    0% {
        opacity: 0;
        height: 53px
    }
    to {
        opacity: 0;
        height: 0
    }
}
@keyframes collapse-is-typing-bubble {
    0% {
        opacity: 0;
        height: 53px
    }
    to {
        opacity: 0;
        height: 0
    }
}
@-webkit-keyframes is-typing-dot {
    0%, 30%, to {
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }
    15% {
        -webkit-transform: translateY(-2px);
        transform: translateY(-2px)
    }
}
@keyframes is-typing-dot {
    0%, 30%, to {
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }
    15% {
        -webkit-transform: translateY(-2px);
        transform: translateY(-2px)
    }
}

@-webkit-keyframes hana-collapse-iframe-appear {
    0% {
        opacity: 0;
        -webkit-transform: scale(.5);
        transform: scale(.5)
    }
    to {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1)
    }
}
@keyframes hana-collapse-iframe-appear {
    0% {
        opacity: 0;
        -webkit-transform: scale(.5);
        transform: scale(.5)
    }
    to {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1)
    }
}
#hana-container .hana-collapse-iframe {
    -webkit-animation: hana-collapse-iframe-appear .25s ease!important;
    animation: hana-collapse-iframe-appear .25s ease!important
}
@-webkit-keyframes hana-launcher-badge-frame-appear {
    0% {
        opacity: 0;
        -webkit-transform: scale(0);
        transform: scale(0)
    }
    to {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1)
    }
}
@keyframes hana-launcher-badge-frame-appear {
    0% {
        opacity: 0;
        -webkit-transform: scale(0);
        transform: scale(0)
    }
    to {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1)
    }
}
#hana-container .hana-launcher-badge-frame {
    -webkit-animation: hana-launcher-badge-frame-appear .15s ease .15s 1 normal backwards!important;
    animation: hana-launcher-badge-frame-appear .15s ease .15s 1 normal backwards!important
}
@-webkit-keyframes hana-launcher-discovery-opening {
    0% {
        opacity: 0
    }
    to {
        opacity: 1
    }
}
@keyframes hana-launcher-discovery-opening {
    0% {
        opacity: 0
    }
    to {
        opacity: 1
    }
}
@-webkit-keyframes hana-launcher-discovery-closing {
    0% {
        opacity: 1
    }
    to {
        opacity: 0
    }
}
@keyframes hana-launcher-discovery-closing {
    0% {
        opacity: 1
    }
    to {
        opacity: 0
    }
}
#hana-container .hana-launcher-discovery-opening {
    -webkit-animation: hana-launcher-discovery-opening .4s ease both;
    animation: hana-launcher-discovery-opening .4s ease both;
    -webkit-animation-delay: .4s;
    animation-delay: .4s
}
#hana-container .hana-launcher-discovery-closing {
    -webkit-animation: hana-launcher-discovery-closing .4s ease both;
    animation: hana-launcher-discovery-closing .4s ease both
}

@media only screen and (max-device-width: 667px),
screen and (max-width: 450px) {
    #hana-container .hana-note,
    #hana-container .hana-post {
        -webkit-text-size-adjust: 100%
    }
    #hana-container .hana-chat-iframe {
        z-index: 2147483001!important;
        width: 100%!important;
        height: 100%!important;
        max-height: none!important;
        top: 0!important;
        left: 0!important;
        right: 0!important;
        bottom: 0!important;
        border-radius: 0!important
    }
    #hana-container .hana-agent-profile,
    #hana-container .hana-team-profile-compact {
        /*right: 45px*/
    }
    #hana-container .hana-chat {
        right: 20px!important;
        bottom: 20px!important;
        width: calc(100% - 100px);
        max-width: 260px
    }
    #hana-container .hana-note {
        right: 0;
        left: 0;
        bottom: 20px!important;
        margin: 0 auto
    }
    #hana-container .hana-post-container {
        padding: 0
    }
    #hana-container .hana-messenger-gradient {
        display: none
    }
    #hana-container .hana-collapse-iframe {
        right: 20px!important;
        bottom: 20px!important
    }
    #hana-container .hana-borderless-frame {
        right: 10px!important;
        bottom: 10px!important;
        max-height: calc(100% - 20px + 10px)!important
    }
    #hana-container .hana-launcher-badge-frame {
        right: 16px!important;
        bottom: 60px!important
    }
    #hana-container .hana-notifications-frame {
        right: 20px!important;
        bottom: 20px!important
    }
    #hana-container .hana-pop-openchat .hana-chat-iframe {
        height: 100%!important;
        bottom: 0!important
    }
    #hana-container .hana-pop-openchat .hana-chat,
    #hana-container .hana-pop-openchat .hana-note,
    #hana-container .hana-pop-openchat .hana-notifications,
    #hana-container .hana-pop-openchat .hana-notifications-frame {
        bottom: 95px!important
    }
    #hana-container .hana-pop-openchat .hana-borderless-frame {
        bottom: 85px!important;
        max-height: calc(100% - 20px - 75px + 10px)!important
    }
    #hana-container .hana-app-left-aligned .hana-chat-iframe {
        left: 0!important
    }
    #hana-container .hana-app-left-aligned .hana-borderless-frame {
        left: -34px!important
    }
    #hana-container .hana-app-left-aligned .hana-chat {
        left: 20px!important
    }
    #hana-container .hana-app-left-aligned .hana-note {
        left: 0!important
    }
    #hana-container .hana-app-left-aligned .hana-launcher-badge-frame {
        left: 61px!important
    }
    #hana-container .hana-app-left-aligned .hana-collapse-iframe,
    #hana-container .hana-app-left-aligned .hana-notifications-frame {
        left: 20px!important
    }
}
@media only screen and (max-device-width: 667px) {
    #hana-container .hana-launcher-close-icon,
    #hana-container .hana-launcher-open-icon {
        -webkit-transform: none;
        -ms-transform: none;
        transform: none
    }
    #hana-container .hana-launcher-active .hana-launcher-open-icon {
        opacity: 1;
        -webkit-transform: none;
        -ms-transform: none;
        transform: none
    }
    #hana-container .hana-launcher-active .hana-launcher-close-icon {
        opacity: 0
    }
    #hana-container .hana-notifications {
        width: 260px
    }
    #hana-container .hana-notifications-dismiss-button {
        opacity: 1
    }
    #hana-container .hana-chat-snippet {
        width: 100%
    }
    #hana-container .hana-snippet {
        margin: 0 auto;
        width: calc(100% - 20px)
    }
}
@media only screen and (max-device-width: 667px),
screen and (max-width: 369px),
screen and (min-height: 591px),
screen and (min-width: 371px) {
    .hana-messenger {
        -webkit-text-size-adjust: 100%
    }
    .hana-admin-profile-full .hana-admin-profile-full-admin-name {
        width: 100px
    }
    .hana-admin-profile-full .hana-admin-profile-full-last-active {
        width: 140px
    }
    .hana-agent-profile:hover .hana-head-name,
    .hana-agent-profile:hover .hana-team-profile-compact-contents,
    .hana-team-profile-collapsed:hover .hana-head-name,
    .hana-team-profile-collapsed:hover .hana-team-profile-compact-contents {
        background-color: inherit
    }
    .hana-sticker-native {
        font-size: inherit
    }
    .hana-composer textarea {
        background-color: #f4f7f9
    }
    .hana-header-buttons-close {
        display: block!important
    }
}

/*my custome*/
#hana-container .slick-initialized .slick-slide {
	margin-right: 5px;
}
#hana-container .hana-pointer {
	cursor: pointer;
}
#hana-container .hana-file {
	padding: 10px 0;
}
#hana-container .hana-background-color {
    background-color: lightgreen;
}
#hana-container .hana-text-color {
    color: white !important;
}
#hana-container .hana-button-start {
	width: 100%;
    height: 55px;
	display: inline;
    zoom: 1;
    vertical-align: baseline;
    outline: 0 none;
    cursor: pointer;
    text-align: center;
    text-decoration: none;
    overflow: visible;
    margin: 0;
    font: bold 14px/100% Arial,sans-serif;
    color: #3d3d3d;
    border: 0;
    float: left;
}
#hana-container input.hana-input-boder-error {
	border: 1px solid red !important;
}
#hana-container input[type=checkbox].hana-input-boder-error {
    outline: 2px solid #F00 !important;
}
#hana-container .hana-img-border {
	border-radius: 10px;
}
#hana-container .mideas-msg-send-fail {
	color: red !important;
}
#hana-container button.slick-disabled {
	opacity: .1 !important;
}
#hana-container .slick-prev, #hana-container .slick-next {
	
}